#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 1.11 
# Copyright (C) 1991, 1992, 1993, 1994 Free Software Foundation, Inc.

# This configure script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This script is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.



#
#  initialize local variables
#
	  ADD_XINC=
	  ADD_XLIB=

	    with_x=yes
enable_psm_monitor=no
      enable_joyce=yes
    enable_xtdsync=no
      enable_bsdld=no
        enable_dld=no
     enable_incrld=no
       enable_prot=no

#
#  process options
#
__usage="
usage: configure [--<option>[=<value>]] ...

Set compilation and installation parameters for OBST using the GNU
autoconf system.
Besides the standard GNU configure options (see below), the following
options are recognized (there must be no white space in an option spec):
  
  --with-x              Compile any X11-based tools [default].
  --without-x           Do not compile X11-based tools.

  --enable-psm_monitor  Compile the PSM monitoring facility.
  --disable-psm_monitor Do not compile the monitoring facility [default].

  --enable-joyce        Compile the JOYCE transaction facility [default].
  --disable-joyce       Do not compile the JOYCE transaction facility.

  --enable-xtdsync      Compile with extended synchronization facilities.
  --disable-xtdsync     Compile just with locking synchronization [default].

  --enable-bsdld        Compile BSD-based incremental loading.
  --disable-bsdld       Don't compile BSD loading into libincrld.a [default].
  --enable-dld		Compile DLD-based incremental loading.
  --disable-dld		Don't compile DLD loading into libincrld.a [default].

  --disable-incrld      Do not add incremental loading to tools [default].
  --enable-incrld=bsd   Add BSD-based incremental loading to tools.
  --enable-incrld=dld	Add DLD-based incremental loading to tools.

  --disable-prot	Do not compile protocol facilities [default].
  --enable-prot		Compile basic schema evolution protocol facilities.
  --enable-prot=all     Compile extended schema evolution protocol facilities.

  --subst:<nm>=<txt>    Define <txt> as value for @<nm>@ in configured files.
  --define:<nm>=<txt>   Set <txt> as value for #define <nm> in configured
                        header files.
  --prevent:<nm>        Prevent a later '--subst' or '--define' declaration
                        from taking effect.
  --conf-file=<file>    Similar to '--subst', '--define', or '--prevent' but
                        the declarations are taken from <file> instead of
                        listing them individually on the command line.
                        <file> is expected to contain specifications in the
                        form <nm>=<txt> for substitutions, <nm>:<txt> for
                        definitions, and !<nm> for a 'prevent' declaration,
                        any other lines are ignored.

                        Only the first definition/substitution for a given
                        <nm> will be performed.

  --usage,--help        Print options and exit.
"
__defaultdirs="./include/etc";__tmpf=/tmp/conf$$ig
__opts_out=; __saved_args="$*"; __opts_in="--conf-file=local.cnf $*"
verbose=; silent=
for __o in $__opts_in ""
do case "$__o" in
      --usage|--help) __opts_in=
		      __opts_out="--help"
		      echo "$__usage"
		      break;;
   esac
done
for opt in $__opts_in ""
do
   case "$opt" in
      --silent|--silen|--sile|--sil|--si|--s|--quiet|--quie|--qui|--qu|--q|\
       -silent| -silen| -sile| -sil| -si| -s| -quiet| -quie| -qui| -qu| -q)
			    silent=yes
			    __opts_out="$__opts_out '--q'" ;;
      --verbose|--verbos|--verbo|--verb|--v|\
       -verbose| -verbos| -verbo| -verb| -v)
			    verbose=yes
			    __opts_out="$__opts_out '-v'" ;;
      --define:*=*)       eval "`echo "$opt" | sed -n 's|^[^:]*:\([^=]*\)=\(.*\)|__n="\1";__v="\2"|p'`"
__vnm="__`echo "$__n" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ 
{
test -n "$verbose" && \
echo "	defining" $__n to be "$__v"
echo "#define" $__n "$__v" >> confdefs.h
DEFS="$DEFS -D$__n=$__v"
ac_sed_defs="${ac_sed_defs}\${ac_dA}$__n\${ac_dB}$__n\${ac_dC}$__v\${ac_dD}
\${ac_uA}$__n\${ac_uB}$__n\${ac_uC}$__v\${ac_uD}
\${ac_eA}$__n\${ac_eB}$__n\${ac_eC}$__v\${ac_eD}
"
}

eval `echo "$__vnm='$__v'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}	;;
      --subst:*=*)          eval "`echo "$opt" | sed -n 's|^[^:]*:\([^=]*\)=\(.*\)|__n="\1";__v="\2"|p'`"
__vnm="__`echo "$__n" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@$__n@%$__v%g";__addsubst_=+
test -z "$verbose" || echo "	setting $__n to \"$__v\""
eval `echo "$__vnm='$__v'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}
	;;
      --prevent:*)          eval "`echo "$opt" | sed -n 's|^[^:]*:\(.*\)|__n="\1"|p'`"
__vnm="__`echo "$__n" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]|| eval "$__vnm=_"	;;
      --conf-file=*)	    __fs=
for __f in `echo "$opt" | sed 's|[^=]*=\(.*\)|\1|'` ""
do if [ -r "$__f" ]; then
      __fs="$__fs $__f"
   elif [ "$__f" != "" ]; then
      ___f=
      for __d in $__defaultdirs
      do [ -r "$__d/$__f" ] && ___f="$__d/$__f"
      done
      if [ -n "$___f" ]; then
	 __fs="$__fs $___f"
      else
	 echo >&2 "*** WARNING:" "file \"$__f\" not found"
      fi
   fi
done
test -n "$silent" || echo "processing configuration file(s)$__fs"
sed -n "s|^[ 	]*\(!\)[ 	]*\([-+_.A-Za-z][-+_.A-Za-z0-9]*\).*|\2 \1 _|p
s|^[ 	]*\(with-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\$|\1 + yes|p
s|^[ 	]*\(enable-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\$|\1 + yes|p
s|^[ 	]*\(with-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*=[ 	]*\(.*\)|\1 + \2|p
s|^[ 	]*\(enable-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*=[ 	]*\(.*\)|\1 + \2|p
s|^[ 	]*\([-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\([=:]\)[ 	]*\(.*\)|\1 \2 \3|p" $__fs /dev/null\
| { while read name sep val
    do
       vname="`echo "$name" | sed 's|[^A-Za-z0-9]|_|g'`"
       if test '+' = "$sep"; then
	  test -z "$verbose" || echo "	setting $vname to \"$val\""
	  __c=`echo "$vname='$val'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
	  echo "$__c" >> $__tmpf
       else
	  [ -n "`eval echo '${'"__$vname"'+.}'`" ] || {
	     case "$sep" in
	        =) { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@$name@%$val%g";__addsubst_=+
test -z "$verbose" || echo "	setting $name to \"$val\""
}
 ;;
	        :) { 
{
test -n "$verbose" && \
echo "	defining" $name to be "$val"
echo "#define" $name "$val" >> confdefs.h
DEFS="$DEFS -D$name=$val"
ac_sed_defs="${ac_sed_defs}\${ac_dA}$name\${ac_dB}$name\${ac_dC}$val\${ac_dD}
\${ac_uA}$name\${ac_uB}$name\${ac_uC}$val\${ac_uD}
\${ac_eA}$name\${ac_eB}$name\${ac_eC}$val\${ac_eD}
"
}

};;
	     esac
	     __c=`echo "__$vname='$val'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
	     echo "$__c" >> $__tmpf; eval "$__c"
	  }
       fi
    done
    echo "__addsubst='$__addsubst'
__addsubst_=$__addsubst_
DEFS='$DEFS'
ac_sed_defs='$ac_sed_defs'" >> $__tmpf
  }
eval "`cat $__tmpf`"
	;;
--x-includes=*)  ADD_XINC="$ADD_XINC `echo "$opt" | sed 's|[^=]*=\(.*\)|\1|'`" ;;
   --x-libraries=*) ADD_XLIB="$ADD_XLIB `echo "$opt" | sed 's|[^=]*=\(.*\)|\1|'`" ;;

      '')		    ;;
      *)		    __opts_out="$__opts_out '$opt'" ;;
   esac
done
eval set - $__opts_out "''"

# Save the original args to write them into config.status later.
configure_args="$*"

# Only options that might do something get documented.
ac_usage="Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
--build=BUILD		configure for building on BUILD [BUILD=HOST]
--disable-FEATURE	do not include FEATURE (same as --enable-FEATURE=no)
--enable-FEATURE[=ARG]	include FEATURE [ARG=yes]
--exec-prefix=PREFIX	install host dependent files in PREFIX [/usr/local]
--help			print this message
--host=HOST		configure for HOST [guessed]
--prefix=PREFIX		install host independent files in PREFIX [/usr/local]
--quiet, --silent	do not print \`checking for...' messages
--srcdir=DIR		find the sources in DIR [configure dir or ..]
--target=TARGET		configure for TARGET [TARGET=HOST]
--verbose		print results of checks
--version		print the version of autoconf that created configure
--with-PACKAGE[=ARG]	use PACKAGE [ARG=yes]
--without-PACKAGE	do not use PACKAGE (same as --with-PACKAGE=no)
--x-includes=DIR	X include files are in DIR
--x-libraries=DIR	X library files are in DIR"

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
exec_prefix=
host=NONE
no_create=
nonopt=NONE
norecursion=
prefix=
program_prefix=
program_suffix=
program_transform_name=
silent=
srcdir=
target=NONE
verbose=
x_includes=
x_libraries=

ac_prev=
for ac_option
do

  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  # Accept (but ignore some of) the important Cygnus configure
  # options, so we can diagnose typos.

  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac

  case "$ac_option" in

  -build | --build | --buil | --bui | --bu | --b)
    ac_prev=build ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
    build="$ac_optarg" ;;

  -disable-* | --disable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      echo "configure: $ac_feature: invalid feature name" >&2; exit 1
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;

  -enable-* | --enable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      echo "configure: $ac_feature: invalid feature name" >&2; exit 1
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_${ac_feature}='$ac_optarg'" ;;

  # For backward compatibility, recognize -exec-prefix and --exec_prefix.
  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix="$ac_optarg" ;;

  -gas | --gas | --ga | --g)
    with_gas=yes ;; # Obsolete; use --with-gas.

  -help | --help | --hel | --he)
    cat << EOF
$ac_usage
EOF
    exit 0 ;;

  -host | --host | --hos | --ho)
    ac_prev=host ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host="$ac_optarg" ;;

  -nfp | --nfp | --nf)
    with_fp=no ;; # Obsolete; use --without-fp.

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -norecursion | --norecursion | --norecursio | --norecursi \
  | --norecurs | --norecur | --norecu | --norec | --nore | --nor)
    norecursion=yes ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix="$ac_optarg" ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix="$ac_optarg" ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix="$ac_optarg" ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name="$ac_optarg" ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir="$ac_optarg" ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target="$ac_optarg" ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 1.11"
    exit 0 ;;

  -with-* | --with-*)
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      echo "configure: $ac_package: invalid package name" >&2; exit 1
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "with_${ac_package}='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      echo "configure: $ac_package: invalid package name" >&2; exit 1
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;

  --x) with_x=yes ;; # Obsolete; use --with-x.

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes="$ac_optarg" ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries="$ac_optarg" ;;

  -*) echo "configure: $ac_option: invalid option; use --help to show usage" >&2; exit 1
    ;;

  *) 
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" >&2
    fi
    if test "x$nonopt" != xNONE; then
      echo "configure: can only configure for one host and one target at a time" >&2; exit 1
    fi
    nonopt="$ac_option"
    ;;

  esac
done

if test -n "$ac_prev"; then
  echo "configure: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" >&2; exit 1
fi

configure_args="$__saved_args"
if test -z "$prefix"
then prefix="$__prefix"
else test -z "$verbose" || echo "	setting prefix to \"$prefix\""; __prefix="x"
fi
if test -z "$exec_prefix"
then exec_prefix="$__exec_prefix"
else test -z "$verbose" || echo "	setting exec_prefix to \"$exec_prefix\""; __exec_prefix="x"
fi
trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
trap 'rm -fr confdefs* $ac_clean_files' 0

# Save the original args if we used an alternate arg parser.
ac_configure_temp="${configure_args-$*}"
# Strip out --no-create and --norecursion so they don't pile up.
configure_args=
for ac_arg in $ac_configure_temp; do
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -norecursion | --norecursion | --norecursio | --norecursi \
  | --norecurs | --norecur | --norecu | --norec | --nore | --nor) ;;
  *) configure_args="$configure_args $ac_arg" ;;
  esac
done

# NLS nuisances.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
if test "${LC_ALL+set}" = 'set'; then LC_ALL=C; export LC_ALL; fi
if test "${LANG+set}"   = 'set'; then LANG=C;   export LANG;   fi

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=src/obst/obst_config.h.in

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then `..'.
  ac_prog=$0
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test x$ac_srcdir_defaulted = xyes; then
    echo "configure: can not find sources in ${ac_confdir} or .." >&2; exit 1
  else
    echo "configure: can not find sources in ${srcdir}" >&2; exit 1
  fi
fi
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='${CPP}'
ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'


srcdir_abs="`(cd $srcdir; pwd | sed 's|/tmp_mnt||')`" 
test -d "$srcdir/lib"     || mkdir "$srcdir/lib"
test -d "$srcdir/lib/pic" || mkdir "$srcdir/lib/pic"

if test -n "$__SET_MAKE"
then SET_MAKE="$__SET_MAKE"
else cat > conftestmake <<'EOF'
all:
	@echo 'ac_maketemp="${MAKE}"'
EOF
# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
if test -n "$ac_maketemp"; then SET_MAKE=
else SET_MAKE="MAKE=${MAKE-make}"; fi
rm -f conftestmake
 __SET_MAKE=_ ; fi

#
#  check for compiler and load the appropriate configuration file
#
#  The variable CC_PROG is used as an indicator whether a configuration
#  has already been read (via command line option/configuration file).
#
test -n "$silent" || echo 'checking for compiler'
cmp_conf=
if test -n "$__CC_PROG"; then
   CXX="$__CC_PROG"
else
   
for ac_prog in $CCC c++ g++ gcc CC cxx
do
if test -z "$CXX"; then
  # Extract the first word of `$ac_prog', so it can be a program name with args.
  set ac_dummy $ac_prog; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      CXX="$ac_prog"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi

test -n "$CXX" && test -n "$verbose" && echo "	setting CXX to $CXX"

test -n "$CXX" && break
done
test -n "$CXX" || CXX="gcc"

# Find out if we are using GNU C++, under whatever name.
cat > conftest.C <<EOF
#ifdef __GNUC__
  yes
#endif
EOF
${CXX-gcc} -E conftest.C > conftest.out 2>&1
if egrep yes conftest.out >/dev/null 2>&1; then
  GXX=1 # For later tests.
fi
rm -f conftest*


   if test "$CXX" = g++ -o "$CXX" = c++; then
      cmp_version="`$CXX -v 2>&1 \
		    | sed -n 's|.*version[^0-9]*\([0-9.]*\).*|\1|p'`"
      case "$cmp_version" in
	 1*)	cmp_conf="gcc1_40_3"      ;;
	 2.3.3) cmp_conf="gcc2_3_3"  ;;
	 2.4.5) cmp_conf="gcc2_4_5"  ;;
	 2.5*)  cmp_conf="gcc2_5"    ;;
	 *)     cmp_conf="gcc2_3_3"  ;;
      esac
   elif test "$CXX" = CC; then
      cmp_prog="`type $CXX | sed 's|.*is 	*||'`"
      if test -n "$cmp_prog"; then
	 cmp_dir="`dirname $cmp_prog`"
	 if test -f $cmp_dir/cfront; then
	    cmp_version="`strings $cmp_dir/cfront | \
			  sed -n -e 's|.*<<[^0-9]*\([0-9.]*\).*>>.*|\1|p'`"
	 else
	    cmp_version='2.1.0'
	 fi
	 case "$cmp_version" in
	    2.1.0 ) cmp_conf="att2_1"    ;;
	    3.0.1 ) cmp_conf="att3_0_1"  ;;
	    *)	    cmp_conf="att2_1"	 ;;
	 esac
      fi
   fi 
   if test -n "$cmp_conf"; then
      test -z "$verbose" || echo "Compiler: $cmp_conf"
   fi
fi

#
#  check for operating system and load the appropriate configurating file
#
test -n "$silent" || echo "checking for operating system"
os_conf=
__unamestr="`(uname -s) 2>/dev/null`"

if test ! -n "$__OS_CONFFILE"; then
   case "$__unamestr" in 
      SunOS)	case "`(uname -r) 2>/dev/null`" in
		   4.*) os_conf=solaris1	;;
		   5.*) os_conf=solaris2	;;	
		   *)   os_conf=solaris1	;;
		esac			;;
      Linux)	os_conf=linux		;;
      HP-UX)	os_conf=hpux8		;;
      FreeBSD)  os_conf=freebsd		;;
      AIX)  	os_conf=aix3_2		;;
   esac
   if test -n "$os_conf"; then
      test -z "$verbose" || echo "Operating system: $os_conf"
   fi
fi

comb_conf="comb_${cmp_conf}_${os_conf}.cnf"
comb_conf_dir=;for __d in $__defaultdirs
do for __f in $__d/$comb_conf
   do [ -r "$__f" ] && { comb_conf_dir="$__d"; break 2; }
   done
done


cnffiles=
if test -n "$comb_conf_dir"; then
   test -z "$verbose" || echo "  --> Using configuration file $comb_conf."
   cnffiles="${comb_conf_dir}/${comb_conf}"
fi   
if test -n "$cmp_conf"; then
   test -z "$verbose" || echo "  --> Using configuration file cmp_$cmp_conf.cnf."
   cnffiles="$cnffiles cmp_$cmp_conf.cnf"
fi
if test -n "$os_conf"; then
   test -z "$verbose" || echo "  --> Using configuration file os_$os_conf.cnf."
   cnffiles="$cnffiles os_$os_conf.cnf"
fi
__fs=
for __f in $cnffiles ""
do if [ -r "$__f" ]; then
      __fs="$__fs $__f"
   elif [ "$__f" != "" ]; then
      ___f=
      for __d in $__defaultdirs
      do [ -r "$__d/$__f" ] && ___f="$__d/$__f"
      done
      if [ -n "$___f" ]; then
	 __fs="$__fs $___f"
      else
	 echo >&2 "*** WARNING:" "file \"$__f\" not found"
      fi
   fi
done
test -n "$silent" || echo "processing configuration file(s)$__fs"
sed -n "s|^[ 	]*\(!\)[ 	]*\([-+_.A-Za-z][-+_.A-Za-z0-9]*\).*|\2 \1 _|p
s|^[ 	]*\(with-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\$|\1 + yes|p
s|^[ 	]*\(enable-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\$|\1 + yes|p
s|^[ 	]*\(with-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*=[ 	]*\(.*\)|\1 + \2|p
s|^[ 	]*\(enable-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*=[ 	]*\(.*\)|\1 + \2|p
s|^[ 	]*\([-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\([=:]\)[ 	]*\(.*\)|\1 \2 \3|p" $__fs /dev/null\
| { while read name sep val
    do
       vname="`echo "$name" | sed 's|[^A-Za-z0-9]|_|g'`"
       if test '+' = "$sep"; then
	  test -z "$verbose" || echo "	setting $vname to \"$val\""
	  __c=`echo "$vname='$val'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
	  echo "$__c" >> $__tmpf
       else
	  [ -n "`eval echo '${'"__$vname"'+.}'`" ] || {
	     case "$sep" in
	        =) { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@$name@%$val%g";__addsubst_=+
test -z "$verbose" || echo "	setting $name to \"$val\""
}
 ;;
	        :) { 
{
test -n "$verbose" && \
echo "	defining" $name to be "$val"
echo "#define" $name "$val" >> confdefs.h
DEFS="$DEFS -D$name=$val"
ac_sed_defs="${ac_sed_defs}\${ac_dA}$name\${ac_dB}$name\${ac_dC}$val\${ac_dD}
\${ac_uA}$name\${ac_uB}$name\${ac_uC}$val\${ac_uD}
\${ac_eA}$name\${ac_eB}$name\${ac_eC}$val\${ac_eD}
"
}

};;
	     esac
	     __c=`echo "__$vname='$val'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
	     echo "$__c" >> $__tmpf; eval "$__c"
	  }
       fi
    done
    echo "__addsubst='$__addsubst'
__addsubst_=$__addsubst_
DEFS='$DEFS'
ac_sed_defs='$ac_sed_defs'" >> $__tmpf
  }
eval "`cat $__tmpf`"


test -z "$__CC_PROG" || CXX="$__CC_PROG"
test -z "$__CC"	     || CC="$__CC"

#  
#  check whether a full bootstrap is needed
#
if test ! -n "$__do_boot"; then
   case "$__unamestr" in 
      SunOS)   __do_boot=0 ;;
      Linux)   __do_boot=1 ;;
      FreeBSD) __do_boot=1 ;;
      AIX)     __do_boot=0 ;;
   esac
fi
if test ! -n "$__do_boot"; then
   
   ac_ext=C
# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='${CXXCPP}'
ac_compile='${CXX-gcc} $CXXFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'


   cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include "$srcdir/src/bundle/check_machdeps.C"
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  __do_boot=0

else
  __do_boot=1
fi
rm -fr conftest*

   ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='${CPP}'
ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'

fi
if test "$__do_boot" = 1; then
   test -n "$silent" || echo "full bootstrap necessary."
   touch BOOT.necessary
else
   test -n "$silent" || echo "no bootstrap necessary."
   rm -f BOOT.necessary
fi

#
#  check for cnt lock method
#
if test -n "$__LOCKD_CORRECT"; then
   action='@for i in $$OBSTCONTAINER/*.lck; do rm -f $$i; done'
else
   action='@for i in $$OBSTCONTAINER/*[1234567890]; do touch $$i.lck; done'
fi
__vnm="__`echo "lock_file_check" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@lock_file_check@%$action%g";__addsubst_=+
test -z "$verbose" || echo "	setting lock_file_check to \"$action\""
eval `echo "$__vnm='$action'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}


#
#  checks for programs
#
if test -n "$__INSTALL"; then
           INSTALL="$__INSTALL"
   INSTALL_PROGRAM="$__INSTALL_PROGRAM"
      INSTALL_DATA="$__INSTALL_DATA"
else
   # Make sure to not get the incompatible SysV /etc/install and
# /usr/sbin/install, which might be in PATH before a BSD-like install,
# or the SunOS /usr/etc/install directory, or the AIX /bin/install,
# or the AFS install, which mishandles nonexistent args, or
# /usr/ucb/install on SVR4, which tries to use the nonexistent group
# `staff', or /sbin/install on IRIX which has incompatible command-line
# syntax.  Sigh.
#
#     On most BSDish systems install is in /usr/bin, not /usr/ucb
#     anyway.
# This turns out not to be true, so the mere pathname isn't an indication
# of whether the program works.  What we really need is a set of tests for
# the install program to see if it actually works in all the required ways.
#
# Avoid using ./install, which might have been erroneously created
# by make from ./install.sh.
if test -z "${INSTALL}"; then
  test -n "$silent" || echo "checking for a BSD compatible install"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    case "$ac_dir" in
    ''|.|/etc|/sbin|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
    *)
      # OSF1 and SCO ODT 3.0 have their own names for install.
      for ac_prog in installbsd scoinst install; do
        if test -f $ac_dir/$ac_prog; then
	  if test $ac_prog = install &&
            grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
	    # AIX install.  It has an incompatible calling convention.
	    # OSF/1 installbsd also uses dspmsg, but is usable.
	    :
	  else
	    INSTALL="$ac_dir/$ac_prog -c"
	    break 2
	  fi
	fi
      done
      ;;
    esac
  done
  IFS="$ac_save_ifs"
fi

if test -z "$INSTALL"; then
  # As a last resort, use the slow shell script.
  for ac_dir in ${srcdir} ${srcdir}/.. ${srcdir}/../..; do
    if test -f $ac_dir/install.sh; then
      INSTALL="$ac_dir/install.sh -c"; break
    fi
  done
fi
if test -z "$INSTALL"; then
  echo "configure: can not find install.sh in ${srcdir} or ${srcdir}/.. or ${srcdir}/../.." >&2; exit 1
fi
test -n "$verbose" && echo "	setting INSTALL to $INSTALL"

# Use test -z because SunOS4 sh mishandles ${INSTALL_PROGRAM-'${INSTALL}'}.
# It thinks the first close brace ends the variable substitution.
test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
test -n "$verbose" && echo "	setting INSTALL_PROGRAM to $INSTALL_PROGRAM"

test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
test -n "$verbose" && echo "	setting INSTALL_DATA to $INSTALL_DATA"

           INSTALL="\$(OBSTBIN_)mkInstall file $INSTALL"
fi
if test -n "$__LEX"; then
      LEX="$__LEX"
   LEXLIB="$__LEXLIB"
else
   if test -z "$LEX"; then
  # Extract the first word of `flex', so it can be a program name with args.
  set ac_dummy flex; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      LEX="flex"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$LEX" && LEX="lex"
test -n "$LEX" && test -n "$verbose" && echo "	setting LEX to $LEX"

if test -z "$LEXLIB"
then
  case "$LEX" in
  flex*) ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lfl"
ac_have_lib=""
test -n "$silent" || echo "checking for -lfl"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LEXLIB="-lfl"
else
   :; 
fi
 ;;
  *) LEXLIB="-ll" ;;
  esac
fi
test -n "$verbose" && echo "	setting LEXLIB to $LEXLIB"

fi
if test -n "$__LN_S"; then
   LN_S="$__LN_S"
else
   test -n "$silent" || echo "checking for ln -s"
rm -f conftestdata
if ln -s X conftestdata 2>/dev/null
then
  rm -f conftestdata
  LN_S="ln -s"
else
  LN_S=ln
fi


fi
if test -n "$__RANLIB"; then
   RANLIB="$__RANLIB"
else
   if test -z "$RANLIB"; then
  # Extract the first word of `ranlib', so it can be a program name with args.
  set ac_dummy ranlib; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      RANLIB="ranlib"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$RANLIB" && RANLIB=":"
test -n "$RANLIB" && test -n "$verbose" && echo "	setting RANLIB to $RANLIB"

fi
if test -n "$__YACC"; then
   YACC="$__YACC"
else
   for ac_prog in 'bison -y' byacc
do
if test -z "$YACC"; then
  # Extract the first word of `$ac_prog', so it can be a program name with args.
  set ac_dummy $ac_prog; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      YACC="$ac_prog"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi

test -n "$YACC" && test -n "$verbose" && echo "	setting YACC to $YACC"

test -n "$YACC" && break
done
test -n "$YACC" || YACC="yacc"

fi

#
#  checks for header files
#
__ck=

test -n "$__HAVE_IOSTREAM_H" || __ck="$__ck iostream.h"
test -n "$__HAVE_OSFCN_H"    || __ck="$__ck osfcn.h"
test -n "$__HAVE_SEARCH_H"   || __ck="$__ck search.h"
test -n "$__HAVE_UNISTD_H"   || __ck="$__ck unistd.h"


ac_ext=C
# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='${CXXCPP}'
ac_compile='${CXX-gcc} $CXXFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'

test -n "$silent" || echo "checking how to run the C++ preprocessor"
ac_ext=C
# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='${CXXCPP}'
ac_compile='${CXX-gcc} $CXXFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'
if test -z "$CXXCPP"; then
  CXXCPP="${CXX-c++} -E"
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdlib.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  CXXCPP=/lib/cpp
fi
rm -f conftest*
fi
test -n "$verbose" && echo "	setting CXXCPP to $CXXCPP"

for ac_hdr in $__ck
do
ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
test -n "$silent" || echo "checking for ${ac_hdr}"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <${ac_hdr}>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining ${ac_tr_hdr}"
echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
DEFS="$DEFS -D${ac_tr_hdr}=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_hdr}\${ac_dB}${ac_tr_hdr}\${ac_dC}1\${ac_dD}
\${ac_uA}${ac_tr_hdr}\${ac_uB}${ac_tr_hdr}\${ac_uC}1\${ac_uD}
\${ac_eA}${ac_tr_hdr}\${ac_eB}${ac_tr_hdr}\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*
done

ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='${CPP}'
ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'


test -n "$silent" || echo "checking for whether time.h and sys/time.h may both be included"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <sys/time.h>
#include <time.h>
int main() { return 0; }
int t() { struct tm *tp;; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining TIME_WITH_SYS_TIME"
echo "#define" TIME_WITH_SYS_TIME "1" >> confdefs.h
DEFS="$DEFS -DTIME_WITH_SYS_TIME=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}TIME_WITH_SYS_TIME\${ac_dB}TIME_WITH_SYS_TIME\${ac_dC}1\${ac_dD}
\${ac_uA}TIME_WITH_SYS_TIME\${ac_uB}TIME_WITH_SYS_TIME\${ac_uC}1\${ac_uD}
\${ac_eA}TIME_WITH_SYS_TIME\${ac_eB}TIME_WITH_SYS_TIME\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*



#
#  checks for library functions
#
__ck=

test -n "$__HAVE_FSYNC"     || __ck="$__ck fsync"
test -n "$__HAVE_GETRLIMIT" || __ck="$__ck getrlimit"
test -n "$__HAVE_GETWD"     || __ck="$__ck getwd"
test -n "$__HAVE_RANDOM"    || __ck="$__ck random"
test -n "$__HAVE_SIGACTION" || __ck="$__ck sigaction"
test -n "$__HAVE_SIGVEC"    || __ck="$__ck sigvec"
test -n "$__HAVE_SYNC"      || __ck="$__ck sync"
test -n "$__HAVE_TSEARCH"   || __ck="$__ck tsearch"

for ac_func in $__ck
do
ac_tr_func=HAVE_`echo $ac_func | tr '[a-z]' '[A-Z]'`
test -n "$silent" || echo "checking for ${ac_func}"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_${ac_func}) || defined (__stub___${ac_func})
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char ${ac_func}(); ${ac_func}();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining ${ac_tr_func}"
echo "#define" ${ac_tr_func} "1" >> confdefs.h
DEFS="$DEFS -D${ac_tr_func}=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_func}\${ac_dB}${ac_tr_func}\${ac_dC}1\${ac_dD}
\${ac_uA}${ac_tr_func}\${ac_uB}${ac_tr_func}\${ac_uC}1\${ac_uD}
\${ac_eA}${ac_tr_func}\${ac_eB}${ac_tr_func}\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*
done



#
#  checks for libraries
#
test -n "$__ADD_LIBS" || {
   __ADD_LIBS=

   ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lsocket"
ac_have_lib=""
test -n "$silent" || echo "checking for -lsocket"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; __ADD_LIBS="$__ADD_LIBS -lsocket"
else
   :; 
fi

   ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lnsl"
ac_have_lib=""
test -n "$silent" || echo "checking for -lnsl"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; __ADD_LIBS="$__ADD_LIBS -lnsl"
else
   :; 
fi


   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@ADD_LIBS@%$__ADD_LIBS%g";__addsubst_=+
test -z "$verbose" || echo "	setting ADD_LIBS to \"$__ADD_LIBS\""
}

}


#
#  locate the X11 header files and libraries.
#
test    -n "$__OBST_XINC$ADD_XINC"\
     -a -n "$__OBST_XLIB$ADD_XLIB" || {
   test -n "$silent" || echo "checking how to run the C preprocessor"
if test -z "$CPP"; then
  # This must be in double quotes, not single quotes, because CPP may get
  # substituted into the Makefile and ``${CC-cc}'' will simply confuse
  # make.  It must be expanded now.
  CPP="${CC-cc} -E"
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdio.h>
Syntax Error
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  CPP="${CC-cc} -E -traditional-cpp"
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdio.h>
Syntax Error
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  CPP=/lib/cpp
fi
rm -f conftest*
fi
rm -f conftest*
fi
test -n "$verbose" && echo "	setting CPP to $CPP"

# If we find X, set shell vars x_includes and x_libraries to the paths.
no_x=true
if test "x$with_x" != xno; then
test -n "$silent" || echo "checking for X include and library files with xmkmf"
rm -fr conftestdir
if mkdir conftestdir; then
  cd conftestdir
  # Make sure to not put "make" in the Imakefile rules, since we grep it out.
  cat > Imakefile <<'EOF'
acfindx:
	@echo 'ac_im_incroot="${INCROOT}"; ac_im_usrlibdir="${USRLIBDIR}"; ac_im_libdir="${LIBDIR}"'
EOF
  if (xmkmf) >/dev/null 2>/dev/null && test -f Makefile; then
    no_x=
    # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
    eval `make acfindx 2>/dev/null | grep -v make`
    # Open Windows xmkmf reportedly sets LIBDIR instead of USRLIBDIR.
    if test ! -f $ac_im_usrlibdir/libX11.a && test -f $ac_im_libdir/libX11.a
    then
      ac_im_usrlibdir=$ac_im_libdir
    fi
    case "$ac_im_incroot" in
	/usr/include) ;;
	*) test -z "$x_includes" && x_includes="$ac_im_incroot" ;;
    esac
    case "$ac_im_usrlibdir" in
	/usr/lib | /lib) ;;
	*) test -z "$x_libraries" && x_libraries="$ac_im_usrlibdir" ;;
    esac
  fi
  cd ..
  rm -fr conftestdir
fi

if test -z "$ac_im_usrlibdir"; then
test -n "$silent" || echo "checking for X include and library files directly"
if test ".$x_direct_test_library" = . ; then
   x_direct_test_library='Xt'
fi
if test ".$x_direct_test_include" = . ; then
   x_direct_test_include='X11/Intrinsic.h'
fi
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <$x_direct_test_include>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  no_x=

else
  rm -rf conftest*
  for ac_dir in               \
    /usr/X11R6/include        \
    /usr/X11R5/include        \
    /usr/X11R4/include        \
                              \
    /usr/include/X11R6        \
    /usr/include/X11R5        \
    /usr/include/X11R4        \
                              \
    /usr/local/X11R6/include  \
    /usr/local/X11R5/include  \
    /usr/local/X11R4/include  \
                              \
    /usr/local/include/X11R6  \
    /usr/local/include/X11R5  \
    /usr/local/include/X11R4  \
                              \
    /usr/X11/include          \
    /usr/include/X11          \
    /usr/local/X11/include    \
    /usr/local/include/X11    \
                              \
    /usr/X386/include         \
    /usr/x386/include         \
    /usr/XFree86/include/X11  \
                              \
    /usr/include              \
    /usr/local/include        \
    /usr/unsupported/include  \
    /usr/athena/include       \
    /usr/local/x11r5/include  \
    /usr/lpp/Xamples/include  \
                              \
    /usr/openwin/include      \
    /usr/openwin/share/include \
    ; \
  do
    if test -r "$ac_dir/$x_direct_test_include"; then
      test -z "$x_includes" && x_includes=$ac_dir
      no_x=
      break
    fi
  done
fi
rm -f conftest*

# Check for the libraries.  First see if replacing the `include' by
# `lib' works.
ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -l"$x_direct_test_library""
ac_have_lib=""
test -n "$silent" || echo "checking for -l"$x_direct_test_library""
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; no_x=
else
   :; for ac_dir in `echo "$x_includes" | sed s/include/lib/` \
    /usr/X11R6/lib        \
    /usr/X11R5/lib        \
    /usr/X11R4/lib        \
                          \
    /usr/lib/X11R6        \
    /usr/lib/X11R5        \
    /usr/lib/X11R4        \
                          \
    /usr/local/X11R6/lib  \
    /usr/local/X11R5/lib  \
    /usr/local/X11R4/lib  \
                          \
    /usr/local/lib/X11R6  \
    /usr/local/lib/X11R5  \
    /usr/local/lib/X11R4  \
                          \
    /usr/X11/lib          \
    /usr/lib/X11          \
    /usr/local/X11/lib    \
    /usr/local/lib/X11    \
                          \
    /usr/X386/lib         \
    /usr/x386/lib         \
    /usr/XFree86/lib/X11  \
                          \
    /usr/lib              \
    /usr/local/lib        \
    /usr/unsupported/lib  \
    /usr/athena/lib       \
    /usr/local/x11r5/lib  \
    /usr/lpp/Xamples/lib  \
                          \
    /usr/openwin/lib      \
    /usr/openwin/share/lib \
    ; \
do
  for ac_extension in a so sl; do
    if test -r $ac_dir/lib${x_direct_test_library}.$ac_extension; then
      test -z "$x_libraries" && x_libraries=$ac_dir
      no_x=
      break 2
    fi
  done
done
fi

fi
test -n "$x_includes" && test -n "$verbose" && echo "	X11 headers are in $x_includes"
test -n "$x_libraries" && test -n "$verbose" && echo "	X11 libraries are in $x_libraries"
fi

   ADD_XINC="$ADD_XINC $x_includes"
   ADD_XLIB="$ADD_XLIB $x_libraries"
}
test -n "$__OBST_XINC" || {
   test -n "$silent" || echo 'checking for X11 header files'
   OBST_XINC=;for __d in $ADD_XINC
do for __f in $__d/X11/Intrinsic.h
   do [ -r "$__f" ] && { OBST_XINC="$__d"; break 2; }
   done
done

[ -n "$OBST_XINC" ] || echo >&2 "*** WARNING:" "couldn't find \"X11/Intrinsic.h\" in \"$ADD_XINC\""
__vnm="__`echo "OBST_XINC" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@OBST_XINC@%$OBST_XINC%g";__addsubst_=+
test -z "$verbose" || echo "	setting OBST_XINC to \"$OBST_XINC\""
eval `echo "$__vnm='$OBST_XINC'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

}
test -n "$__OBST_XLIB" || {
   test -n "$silent" || echo 'checking for X11 library archive'
   OBST_XLIB=;for __d in $ADD_XLIB
do for __f in $__d/libX11.a
   do [ -r "$__f" ] && { OBST_XLIB="$__d"; break 2; }
   done
done

[ -n "$OBST_XLIB" ] || echo >&2 "*** WARNING:" "couldn't find \"libX11.a\" in \"$ADD_XLIB\""
__vnm="__`echo "OBST_XLIB" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@OBST_XLIB@%$OBST_XLIB%g";__addsubst_=+
test -z "$verbose" || echo "	setting OBST_XLIB to \"$OBST_XLIB\""
eval `echo "$__vnm='$OBST_XLIB'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

}


#
#  process module switches
#
test -n "$silent" || echo 'processing module switches'

test "$with_x" = yes || {
   __vnm="__`echo "xtools_targets" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@xtools_targets@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting xtools_targets to \"$xtools_targets\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   __vnm="__`echo "XTOOLS_OBJS" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@XTOOLS_OBJS@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting XTOOLS_OBJS to \"$XTOOLS_OBJS\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   __vnm="__`echo "CPP_WITH_X" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@CPP_WITH_X@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting CPP_WITH_X to \"$CPP_WITH_X\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

}
test "$enable_psm_monitor" = yes || {
   psm_mon=
   __vnm="__`echo "PSM_MON.o" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@PSM_MON.o@%$psm_mon%g";__addsubst_=+
test -z "$verbose" || echo "	setting PSM_MON.o to \"$psm_mon\""
eval `echo "$__vnm='$psm_mon'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   __vnm="__`echo "CPP_WITH_MON" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@CPP_WITH_MON@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting CPP_WITH_MON to \"$CPP_WITH_MON\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   __vnm="__`echo "MON_LDFLAG" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@MON_LDFLAG@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting MON_LDFLAG to \"$MON_LDFLAG\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

}
test "$enable_joyce" = yes || {
   __vnm="__`echo "SYNC_OBJS" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@SYNC_OBJS@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting SYNC_OBJS to \"$SYNC_OBJS\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   __vnm="__`echo "JOYCE_OBJS" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@JOYCE_OBJS@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting JOYCE_OBJS to \"$JOYCE_OBJS\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   __OBST_HAVE_JOYCE=x
}
test "$enable_xtdsync" = yes || {
   __vnm="__`echo "XTDSYNC_OBJS" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@XTDSYNC_OBJS@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting XTDSYNC_OBJS to \"$XTDSYNC_OBJS\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   __OBST_HAVE_XTDSYNC=x
}
if test "$enable_bsdld$enable_dld" = 'nono'; then
   __vnm="__`echo "do_libincrld" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@do_libincrld@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting do_libincrld to \"$do_libincrld\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   __vnm="__`echo "INCRLD_OBJS" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@INCRLD_OBJS@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting INCRLD_OBJS to \"$INCRLD_OBJS\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

else
   __objs=
   test "$enable_bsdld" = no ||\
	__objs="$__objs "'$(incrld_bsd.o)'
   test "$enable_dld"   = no ||\
	__objs="$__objs "'$(incrld_dld.o)'
   __vnm="__`echo "INCRLD_OBJS" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@INCRLD_OBJS@%$__objs%g";__addsubst_=+
test -z "$verbose" || echo "	setting INCRLD_OBJS to \"$__objs\""
eval `echo "$__vnm='$__objs'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

fi
if test "$enable_incrld" = no; then
   __vnm="__`echo "use_libincrld" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@use_libincrld@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting use_libincrld to \"$use_libincrld\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   __vnm="__`echo "STATIC_LDFLAG" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@STATIC_LDFLAG@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting STATIC_LDFLAG to \"$STATIC_LDFLAG\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

else
   __use=
   test "$enable_incrld" != bsd || __use='$(incrld_bsd.o)'
   test "$enable_incrld" != dld || __use='$(incrld_dld.o) $(DLDLIB)'
   __vnm="__`echo "use_libincrld" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@use_libincrld@%$__use%g";__addsubst_=+
test -z "$verbose" || echo "	setting use_libincrld to \"$__use\""
eval `echo "$__vnm='$__use'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

fi
if test "$enable_prot" = no; then
   __vnm="__`echo "PROT_OBJS" | sed 's|[^A-Za-z0-9]|_|g'`";[ -n "`eval echo '${'"$__vnm"'+.}'`" ]||{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@PROT_OBJS@%%g";__addsubst_=+
test -z "$verbose" || echo "	setting PROT_OBJS to \"$PROT_OBJS\""
eval `echo "$__vnm=''"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`;}

   __OBST_HAVE_PROT=x
   __OBST_PROT_ALL=x
elif test "$enable_prot" != all; then
   __OBST_PROT_ALL=x
fi


#
#  shared object support
#
test -n "$silent" || echo 'processing shared object options'
[ -n "$__shVERSION" ] || {
   v=
   [ -z "$__shVERSIONSEP" ] || \
      v="$__shVERSIONSEP`sed -n -e 's|^#[ 	]*define[ 	]*OBSTVERSIONNO[ 	]*\(.*\)|\1|p' $srcdir/src/obst/obst_config.h.in`$__shVERSIONSEP"0
   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@shVERSION@%$v%g";__addsubst_=+
test -z "$verbose" || echo "	setting shVERSION to \"$v\""
}
}
[ -n "$__localLIB_sa" ] || {
   v=
   [ -z "$__shSUFF_sa" ] || v='$(libOBST.sa)'
   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@localLIB.sa@%$v%g";__addsubst_=+
test -z "$verbose" || echo "	setting localLIB.sa to \"$v\""
}
}
[ -n "$__shLDFLAGS" ] || {
   v=
   [ -z "$__LD_DO_RTLPATH" ] || v='$(LD_DO_RTLPATH)$(OBSTLIB):$(libdir):$(OBST_XLIB)'
   { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@shLDFLAGS@%$v%g";__addsubst_=+
test -z "$verbose" || echo "	setting shLDFLAGS to \"$v\""
}
}



#
#  read defaults
#
test -n "$silent" || echo 'reading installation defaults'
__fs=
for __f in install_defaults.cnf ""
do if [ -r "$__f" ]; then
      __fs="$__fs $__f"
   elif [ "$__f" != "" ]; then
      ___f=
      for __d in $__defaultdirs
      do [ -r "$__d/$__f" ] && ___f="$__d/$__f"
      done
      if [ -n "$___f" ]; then
	 __fs="$__fs $___f"
      else
	 echo >&2 "*** WARNING:" "file \"$__f\" not found"
      fi
   fi
done
test -n "$silent" || echo "processing configuration file(s)$__fs"
sed -n "s|^[ 	]*\(!\)[ 	]*\([-+_.A-Za-z][-+_.A-Za-z0-9]*\).*|\2 \1 _|p
s|^[ 	]*\(with-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\$|\1 + yes|p
s|^[ 	]*\(enable-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\$|\1 + yes|p
s|^[ 	]*\(with-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*=[ 	]*\(.*\)|\1 + \2|p
s|^[ 	]*\(enable-[-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*=[ 	]*\(.*\)|\1 + \2|p
s|^[ 	]*\([-+_.A-Za-z][-+_.A-Za-z0-9]*\)[ 	]*\([=:]\)[ 	]*\(.*\)|\1 \2 \3|p" $__fs /dev/null\
| { while read name sep val
    do
       vname="`echo "$name" | sed 's|[^A-Za-z0-9]|_|g'`"
       if test '+' = "$sep"; then
	  test -z "$verbose" || echo "	setting $vname to \"$val\""
	  __c=`echo "$vname='$val'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
	  echo "$__c" >> $__tmpf
       else
	  [ -n "`eval echo '${'"__$vname"'+.}'`" ] || {
	     case "$sep" in
	        =) { [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@$name@%$val%g";__addsubst_=+
test -z "$verbose" || echo "	setting $name to \"$val\""
}
 ;;
	        :) { 
{
test -n "$verbose" && \
echo "	defining" $name to be "$val"
echo "#define" $name "$val" >> confdefs.h
DEFS="$DEFS -D$name=$val"
ac_sed_defs="${ac_sed_defs}\${ac_dA}$name\${ac_dB}$name\${ac_dC}$val\${ac_dD}
\${ac_uA}$name\${ac_uB}$name\${ac_uC}$val\${ac_uD}
\${ac_eA}$name\${ac_eB}$name\${ac_eC}$val\${ac_eD}
"
}

};;
	     esac
	     __c=`echo "__$vname='$val'"|sed "s%=''\(.\)%=\"'\"'\1%;s%\([^=]\)''\$%\1'\"'\"%"`
	     echo "$__c" >> $__tmpf; eval "$__c"
	  }
       fi
    done
    echo "__addsubst='$__addsubst'
__addsubst_=$__addsubst_
DEFS='$DEFS'
ac_sed_defs='$ac_sed_defs'" >> $__tmpf
  }
eval "`cat $__tmpf`"


#
#  expand macros with paths into installed module
#
test -n "$exec_prefix" || exec_prefix="$__exec_prefix"
test -n "$prefix" || prefix="$__prefix"
echo > $__tmpf "
prefix=$prefix
exec_prefix=$exec_prefix
cntdir=$__cntdir
libdir=$__libdir
tcllibdir=$__tcllibdir
includedir=$__includedir
_dummy_target: ;@echo '__libdir_exp=\$(libdir);__cntdir_exp=\$(cntdir);__tcllibdir_exp=\$(tcllibdir);__includedir_exp=\$(includedir)'"
eval `make -f $__tmpf`
{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@libdir_exp@%$__libdir_exp%g";__addsubst_=+
test -z "$verbose" || echo "	setting libdir_exp to \"$__libdir_exp\""
}
{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@cntdir_exp@%$__cntdir_exp%g";__addsubst_=+
test -z "$verbose" || echo "	setting cntdir_exp to \"$__cntdir_exp\""
}
{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@tcllibdir_exp@%$__tcllibdir_exp%g";__addsubst_=+
test -z "$verbose" || echo "	setting tcllibdir_exp to \"$__tcllibdir_exp\""
}
{ [ -z "$__addsubst_" ] || __addsubst="$__addsubst
"
__addsubst="${__addsubst}s%@includedir_exp@%$__includedir_exp%g";__addsubst_=+
test -z "$verbose" || echo "	setting includedir_exp to \"$__includedir_exp\""
}


#
#  do the configuration
#
test -n "$exec_prefix" || exec_prefix="$__exec_prefix"
test -n "$prefix" || prefix="$__prefix"

# The preferred way to propogate these variables is regular @ substitutions.
if test -n "$prefix"; then
  ac_prsub="s%^prefix\\([ 	]*\\)=\\([ 	]*\\).*$%prefix\\1=\\2$prefix%"
else
  prefix=/usr/local
fi
if test -n "$exec_prefix"; then
  ac_prsub="$ac_prsub
s%^exec_prefix\\([ 	]*\\)=\\([ 	]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
else
  exec_prefix='${prefix}' # Let make expand it.
fi

# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
fi

# Quote sed substitution magic chars in DEFS.
cat >conftest.def <<EOF
$DEFS
EOF
ac_escape_ampersand_and_backslash='s%[&\\]%\\&%g'
DEFS=`sed "$ac_escape_ampersand_and_backslash" <conftest.def`
rm -f conftest.def
# Substitute for predefined variables.

trap 'rm -f config.status; exit 1' 1 2 15
echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $configure_args

ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
for ac_option
do
  case "\$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create
    exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "config.status generated by autoconf version 1.11"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "\$ac_cs_usage"; exit 0 ;;
  *) echo "\$ac_cs_usage"; exit 1 ;;
  esac
done

trap 'rm -fr Makefile Makefile.bundle include/etc/obst_common.mk \
	    bin/obst-instcnt src/obst/obst_config.h src/obst/_obst_config.h conftest*; exit 1' 1 2 15
srcdir_abs='$srcdir_abs'
SET_MAKE='$SET_MAKE'
CXX='$CXX'
INSTALL='$INSTALL'
INSTALL_PROGRAM='$INSTALL_PROGRAM'
INSTALL_DATA='$INSTALL_DATA'
LEX='$LEX'
LEXLIB='$LEXLIB'
LN_S='$LN_S'
RANLIB='$RANLIB'
YACC='$YACC'
CXXCPP='$CXXCPP'
CPP='$CPP'
LIBS='$LIBS'
srcdir='$srcdir'
top_srcdir='$top_srcdir'
prefix='$prefix'
exec_prefix='$exec_prefix'
__tmpf=/tmp/conf\$\$ig
__addsubst='$__addsubst'
echo "\$__addsubst" | sed 50q   >\$__tmpf.sed1
echo "\$__addsubst" | sed 1,50d >\$__tmpf.sed2
ac_prsub='$ac_prsub'
ac_vpsub='$ac_vpsub'
extrasub='$extrasub'
EOF
cat >> config.status <<\EOF

ac_given_srcdir=$srcdir

CONFIG_FILES=${CONFIG_FILES-"Makefile Makefile.bundle include/etc/obst_common.mk \
	    bin/obst-instcnt"}
for ac_file in .. ${CONFIG_FILES}; do if test "x$ac_file" != x..; then
  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/$ac_dir"
  else
    ac_dir_suffix=
  fi

  # A "../" for each directory in $ac_dir_suffix.
  ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dir_suffix"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac

  echo creating "$ac_file"
  rm -f "$ac_file"
  comment_str="Generated automatically from `echo $ac_file|sed 's|.*/||'`.in by configure."
  case "$ac_file" in
    *.c | *.h | *.C | *.cc | *.m )  echo "/* $comment_str */" > "$ac_file" ;;
    * )          echo "# $comment_str"     > "$ac_file" ;;
  esac
  sed -e "
$ac_prsub
$ac_vpsub
$extrasub
s%@srcdir_abs@%$srcdir_abs%g
s%@SET_MAKE@%$SET_MAKE%g
s%@CXX@%$CXX%g
s%@INSTALL@%$INSTALL%g
s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
s%@INSTALL_DATA@%$INSTALL_DATA%g
s%@LEX@%$LEX%g
s%@LEXLIB@%$LEXLIB%g
s%@LN_S@%$LN_S%g
s%@RANLIB@%$RANLIB%g
s%@YACC@%$YACC%g
s%@CXXCPP@%$CXXCPP%g
s%@CPP@%$CPP%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
s%@prefix@%$prefix%g
s%@exec_prefix@%$exec_prefix%g
" $ac_given_srcdir/${ac_file}.in \
| sed -f $__tmpf.sed1 \
| sed -f $__tmpf.sed2 > $ac_file
: "
s%@DEFS@%-DHAVE_CONFIG_H%" $ac_given_srcdir/${ac_file}.in >> $ac_file
fi; done

# These sed commands are put into ac_sed_defs when defining a macro.
# They are broken into pieces to make the sed script easier to manage.
# They are passed to sed as "A NAME B NAME C VALUE D", where NAME
# is the cpp macro being defined and VALUE is the value it is being given.
# Each defining turns into a single global substitution command.
# Hopefully no one uses "!" as a variable value.
# Other candidates for the sed separators, like , and @, do get used.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s!^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
ac_dB='\([ 	][ 	]*\)[^ 	]*!\1#\2'
ac_dC='\3'
ac_dD='!g'
# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_uA='s!^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_uB='\([ 	]\)!\1#\2define\3'
ac_uC=' '
ac_uD='\4!g'
# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_eA='s!^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_eB='$!\1#\2define\3'
ac_eC=' '
ac_eD='!g'
rm -f conftest.sed
EOF
# Turn off quoting long enough to insert the sed commands.
rm -f conftest.sh
cat > conftest.sh <<EOF
$ac_sed_defs
EOF

# Break up $ac_sed_defs (now in conftest.sh) because some shells have a limit
# on the size of here documents.

# Maximum number of lines to put in a single here document.
ac_max_sh_lines=9

while :
do
  # wc gives bogus results for an empty file on some AIX systems.
  ac_lines=`grep -c . conftest.sh`
  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
  rm -f conftest.s1 conftest.s2
  sed ${ac_max_sh_lines}q conftest.sh > conftest.s1 # Like head -9.
  sed 1,${ac_max_sh_lines}d conftest.sh > conftest.s2 # Like tail +10.
  # Write a limited-size here document to append to conftest.sed.
  echo 'cat >> conftest.sed <<CONFEOF' >> config.status
  cat conftest.s1 >> config.status
  echo 'CONFEOF' >> config.status
  rm -f conftest.s1 conftest.sh
  mv conftest.s2 conftest.sh
done
rm -f conftest.sh

# Now back to your regularly scheduled config.status.
cat >> config.status <<\EOF
# This sed command replaces #undef's with comments.  This is necessary, for
# example, in the case of _POSIX_SOURCE, which is predefined and required
# on some systems where configure will not decide to define it in
# src/obst/obst_config.h src/obst/_obst_config.h.
cat >> conftest.sed <<\CONFEOF
s,^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
CONFEOF
rm -f conftest.h
# Break up the sed commands because old seds have small limits.
ac_max_sed_lines=20

CONFIG_HEADERS=${CONFIG_HEADERS-"src/obst/obst_config.h src/obst/_obst_config.h"}
for ac_file in .. ${CONFIG_HEADERS}; do if test "x$ac_file" != x..; then
  echo creating $ac_file

  cp $ac_given_srcdir/$ac_file.in conftest.h1
  cp conftest.sed conftest.stm
  while :
  do
    ac_lines=`grep -c . conftest.stm`
    if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
    rm -f conftest.s1 conftest.s2 conftest.h2
    sed ${ac_max_sed_lines}q conftest.stm > conftest.s1 # Like head -20.
    sed 1,${ac_max_sed_lines}d conftest.stm > conftest.s2 # Like tail +21.
    sed -f conftest.s1 < conftest.h1 > conftest.h2
    rm -f conftest.s1 conftest.h1 conftest.stm
    mv conftest.h2 conftest.h1
    mv conftest.s2 conftest.stm
  done
  rm -f conftest.stm conftest.h
  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
  cat conftest.h1 >> conftest.h
  rm -f conftest.h1
  if cmp -s $ac_file conftest.h 2>/dev/null; then
    # The file exists and we would not be changing it.
    echo "$ac_file is unchanged"
    rm -f conftest.h
  else
    rm -f $ac_file
    mv conftest.h $ac_file
  fi
fi; done
rm -f conftest.sed


cp src/obst/obst_config.h $__tmpf;rm -f src/obst/obst_config.h;sed -e 's|UNDEF|undef|' -e '/^. Generated automatically/d' $__tmpf >src/obst/obst_config.h

	    for __f in bin/obst-instcnt ""
do test -f "$__f" && {
      cp "$__f" $__tmpf;rm -f "$__f"
      echo '#!/bin/sh' | cat - $__tmpf > "$__f"
      chmod a+x "$__f"
   }
done


rm -rf $__tmpf*
exit 0
EOF
chmod +x config.status
# Some shells look in PATH for config.status without the "./".
test -n "$no_create" || ${CONFIG_SHELL-/bin/sh} ./config.status
rm -rf $__tmpf*

